### Function Reference: `gevfit_lmom`

statistics: [paramhat, paramci] = gevfit_lmom (data)

Find an estimator (paramhat) of the generalized extreme value (GEV) distribution fitting data using the method of L-moments.

### Arguments

- data is the vector of given values.

### Return values

- parmhat is the 3-parameter maximum-likelihood parameter vector [k; sigma; mu], where k is the shape parameter of the GEV distribution, sigma is the scale parameter of the GEV distribution, and mu is the location parameter of the GEV distribution.
- paramci has the approximate 95% confidence intervals of the parameter values (currently not implemented).

### Examples

     data = gevrnd (0.1, 1, 0, 100, 1);
     [pfit, pci] = gevfit_lmom (data);
     p1 = gevcdf (data,pfit(1),pfit(2),pfit(3));
     [f, x] = ecdf (data);
     plot(data, p1, 's', x, f)

See also: gevfit

Source Code: gevfit_lmom